
Core - Feature # 50612

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Nicole Cordes Category: Install Tool
Created: 2013-07-31 Assigned To: Nicole Cordes
Updated: 2013-08-28 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Create BE-user in installation wizard (123 step) with a salted password
Description

In the installation wizard the admin user is created with a md5 hashed password. For security reason this should be changed to a
salted password

Subtasks:
Task # 51355: Cleanup saltedpasswords extension configuration Resolved
Related issues:
related to Core - Bug # 31407: Admin user creation function uses hardcoded md... Resolved 2011-10-30

Associated revisions
Revision 635fcf20 - 2013-08-27 22:56 - Nicole Cordes

[FEATURE] Create BE-user in installation wizard with a salted password

In the installation wizard (123 steps) the admin user is created with a
md5 hashed password. For security reason this should be changed to a
salted password. As this function is used in #31407 as well it was
refactored to the AbstractAction class.

Resolves: #50612
Releases: 6.2
Change-Id: Ide966eb1c1e05d2190f0d22446bc2b3e92643451
Reviewed-on: https://review.typo3.org/22738
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Stefan Neufeind
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2013-07-31 23:56 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22738

#2 - 2013-08-01 01:15 - Christian Kuhn
- Parent task set to #49162

#3 - 2013-08-01 01:57 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22738

#4 - 2013-08-27 21:53 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22738

#5 - 2013-08-27 22:02 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22738

#6 - 2013-08-27 22:32 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22738

#7 - 2013-08-27 22:46 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22738

#8 - 2013-08-27 23:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:635fcf20358539ee47b81d25ea6881e93f78befb.

#9 - 2013-08-28 14:56 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master_new has been pushed to the review server.
It is available at https://review.typo3.org/23414

#10 - 2013-08-28 16:31 - Nicole Cordes

Already merged.

2015-08-04 2/3

https://review.typo3.org/22738
https://review.typo3.org/22738
https://review.typo3.org/22738
https://review.typo3.org/22738
https://review.typo3.org/22738
https://review.typo3.org/23414


#11 - 2013-08-28 16:31 - Nicole Cordes
- Status changed from Under Review to Resolved
